Loading...
Searching...
No Matches
mastering_display_metadata.h File Reference
`#include "frame.h"`
`#include "rational.h"`

Go to the source code of this file.

## Data Structures

struct | AVMasteringDisplayMetadata
| Mastering display metadata capable of representing the color volume of the display used to master the content (SMPTE 2086:2014). More...
struct | AVContentLightMetadata
| Content light level needed by to transmit HDR over HDMI (CTA-861.3). More...

## Functions

AVMasteringDisplayMetadata * | av_mastering_display_metadata_alloc (void)
| Allocate an AVMasteringDisplayMetadata structure and set its fields to default values.
AVMasteringDisplayMetadata * | av_mastering_display_metadata_alloc_size (size_t *size)
| Allocate an AVMasteringDisplayMetadata structure and set its fields to default values.
AVMasteringDisplayMetadata * | av_mastering_display_metadata_create_side_data (AVFrame *frame)
| Allocate a complete AVMasteringDisplayMetadata and add it to the frame.
AVContentLightMetadata * | av_content_light_metadata_alloc (size_t *size)
| Allocate an AVContentLightMetadata structure and set its fields to default values.
AVContentLightMetadata * | av_content_light_metadata_create_side_data (AVFrame *frame)
| Allocate a complete AVContentLightMetadata and add it to the frame.

## Function Documentation

## av_mastering_display_metadata_alloc()

AVMasteringDisplayMetadata * av_mastering_display_metadata_alloc | ( | void |  | ) |

Allocate an AVMasteringDisplayMetadata structure and set its fields to default values.

The resulting struct can be freed using av_freep().

Returns
  An AVMasteringDisplayMetadata filled with default values or NULL on failure.

## av_mastering_display_metadata_alloc_size()

AVMasteringDisplayMetadata * av_mastering_display_metadata_alloc_size | ( | size_t * | size | ) |

Allocate an AVMasteringDisplayMetadata structure and set its fields to default values.

The resulting struct can be freed using av_freep().

Returns
  An AVMasteringDisplayMetadata filled with default values or NULL on failure.

## av_mastering_display_metadata_create_side_data()

AVMasteringDisplayMetadata * av_mastering_display_metadata_create_side_data | ( | AVFrame * | frame | ) |

Allocate a complete AVMasteringDisplayMetadata and add it to the frame.

Parameters

  frame | The frame which side data is added to.

Returns
  The AVMasteringDisplayMetadata structure to be filled by caller.

## av_content_light_metadata_alloc()

AVContentLightMetadata * av_content_light_metadata_alloc | ( | size_t * | size | ) |

Allocate an AVContentLightMetadata structure and set its fields to default values.

The resulting struct can be freed using av_freep().

Returns
  An AVContentLightMetadata filled with default values or NULL on failure.

## av_content_light_metadata_create_side_data()

AVContentLightMetadata * av_content_light_metadata_create_side_data | ( | AVFrame * | frame | ) |

Allocate a complete AVContentLightMetadata and add it to the frame.

Parameters

  frame | The frame which side data is added to.

Returns
  The AVContentLightMetadata structure to be filled by caller.